import java.net.*;
import java.io.*;


/*
 * 
 */
class Server implements Runnable
{
  private ServerSocket servsock;
  private int port = 5555;
  private String datadir = "data/";


  /*
   *       
   * ClientConnection
   */
  synchronized void addConnection (Socket sock)
    {
      ClientConnection ccon = new ClientConnection (this, sock);
    }


  /*
   *    
   */
  public String getDataDir ()
    {
      return datadir;
    }


  /*
   *    
   */
  public void run ()
    {
      try
        {
          /*    ServerSocket */
          servsock = new ServerSocket (port);

          /*   */
          while (true)
            {
              Socket sock = servsock.accept ();

              addConnection (sock);
            }
        }
      catch (IOException e)
        {
          System.out.println ("Stopping server.");
        }
    }


  /*
   *  
   */
  public static void main (String args[])
    {
      /*     
           Server */
      new Thread (new Server ()).start ();

      /*     */
      try
        {
          Thread.currentThread ().join ();
        }
      catch (InterruptedException e)
        {}
    }
}
